maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Age Mooy" <am...@home.nl>
Subject RE: AW: error running torque-plugin
Date Mon, 09 Dec 2002 11:47:36 GMT


> -----Original Message-----
> From: Marc Lustig [mailto:mail@marclustig.com] 
> Sent: Monday, December 09, 2002 12:28
> To: Turbine Maven Users List
> Subject: AW: AW: error running torque-plugin
> 
> 
> Age, I downgraded again to b7 release-build.
> This build doesn't compile turbine anymore, as it references 
> torque-3.0-rc2.jar, which is out of date now: "Failed to 
> download dependent file torque-3.0-rc2.jar"

Maven doesn't reference torque anywhere and the latest turbine-2
project.xml references torque 3.0 so I don't know what you mean with "it
references torque-3.0-rc2.jar". I can compile the turbine-2 HEAD without
problems with maven b7

> When running Torque-plugin the first error that occurs is 
> "Failed to download dependent file tomcat-naming-1.0.jar" due 
> to the same reason I guess.

this is a known problem. Tomcat naming is not referenced or used as far
as I can see.

> And second error is the same as with Maven CVS HEAD build:
>     [torque-data-model] [ERROR] Caused by: 
> java.lang.NoClassDefFoundError: 
> org/apache/stratum/lifecycle/Initializable

Very mysterious.... try running maven with the -X command line option
(debug) and see whether the stratum jar is actually in your maven
dependency classpath or whther you notice anything else.

> So I guess I will switch back to CVS HEAD build and check out 
> other roots why the stratum jar isn't found.

I doubt maven is the problem.... it almost has to be a config problem
somewhere.

Age



Mime
View raw message